<?php

namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class AlteSalarioService {
    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getAltesalario(
        int     $nrOrg,
                $nrVinculom
    ): array {
        $route = 'getAltesalario';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'NRVINCULOM'  => $nrVinculom,
            ],
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $admissoes = $result['dataset'][$route];

        return $admissoes;
    }
}